Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1998564 - [abrt] mate-screensaver: mate-screensaver killed by SIGSEGV
Summary: [abrt] mate-screensaver: mate-screensaver killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mate-screensaver
Version: 35
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Wolfgang Ulbrich
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:49c3c136b5459ac309d2a7a554a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-27 15:15 UTC by Mike FABIAN
Modified: 2021-11-23 01:47 UTC (History)
2 users (show)

Fixed In Version: mate-screensaver-1.26.0-2.fc35 mate-screensaver-1.26.0-2.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-23 01:31:35 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (deleted)
2021-08-27 15:15 UTC, Mike FABIAN
no flags Details
File: core_backtrace (deleted)
2021-08-27 15:15 UTC, Mike FABIAN
no flags Details
File: cpuinfo (deleted)
2021-08-27 15:15 UTC, Mike FABIAN
no flags Details
File: dso_list (deleted)
2021-08-27 15:15 UTC, Mike FABIAN
no flags Details
File: environ (deleted)
2021-08-27 15:15 UTC, Mike FABIAN
no flags Details
File: limits (deleted)
2021-08-27 15:15 UTC, Mike FABIAN
no flags Details
File: maps (deleted)
2021-08-27 15:15 UTC, Mike FABIAN
no flags Details
File: mountinfo (deleted)
2021-08-27 15:15 UTC, Mike FABIAN
no flags Details
File: open_fds (deleted)
2021-08-27 15:15 UTC, Mike FABIAN
no flags Details
File: proc_pid_status (deleted)
2021-08-27 15:15 UTC, Mike FABIAN
no flags Details
File: exploitable (deleted)
2021-08-27 15:15 UTC, Mike FABIAN
no flags Details

Description Mike FABIAN 2021-08-27 15:15:27 UTC
Version-Release number of selected component:
mate-screensaver-1.26.0-1.fc35

Additional info:
reporter:       libreport-2.15.2
backtrace_rating: 3
cgroup:         0::/user.slice/user-1000.slice/user/app.slice/dbus-:1.2-org.mate.ScreenSaver
cmdline:        /usr/bin/mate-screensaver --no-daemon
executable:     /usr/bin/mate-screensaver
journald_cursor: s=ad9b03d706e045bab62f09ad537e0123;i=2908;b=c875eb593623460f9e4dc69235a58125;m=3ce83e27d;t=5ca8bac6ccc03;x=36ae8029fe53132e
kernel:         5.14.0-0.rc7.54.fc35.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 ??
 #1 XInternAtom at /usr/src/debug/libX11-1.7.2-3.fc35.x86_64/src/IntAtom.c:175
 #2 mate_rr_screen_initable_init at /usr/src/debug/mate-desktop-1.26.0-1.fc35.x86_64/libmate-desktop/mate-rr.c:670
 #3 g_initable_new_valist at ../gio/ginitable.c:248
 #4 g_initable_new at ../gio/ginitable.c:162
 #5 mate_rr_screen_new at /usr/src/debug/mate-desktop-1.26.0-1.fc35.x86_64/libmate-desktop/mate-rr.c:832
 #6 check_randr_extension at /usr/src/debug/mate-screensaver-1.26.0-1.fc35.x86_64/src/gs-fade.c:599
 #7 gs_fade_init at /usr/src/debug/mate-screensaver-1.26.0-1.fc35.x86_64/src/gs-fade.c:902
 #8 g_type_create_instance at ../gobject/gtype.c:1929
 #9 g_object_new_internal at ../gobject/gobject.c:1945

Comment 1 Mike FABIAN 2021-08-27 15:15:30 UTC
Created attachment 1818372 [details]
File: backtrace

Comment 2 Mike FABIAN 2021-08-27 15:15:32 UTC
Created attachment 1818373 [details]
File: core_backtrace

Comment 3 Mike FABIAN 2021-08-27 15:15:33 UTC
Created attachment 1818374 [details]
File: cpuinfo

Comment 4 Mike FABIAN 2021-08-27 15:15:35 UTC
Created attachment 1818375 [details]
File: dso_list

Comment 5 Mike FABIAN 2021-08-27 15:15:36 UTC
Created attachment 1818376 [details]
File: environ

Comment 6 Mike FABIAN 2021-08-27 15:15:38 UTC
Created attachment 1818377 [details]
File: limits

Comment 7 Mike FABIAN 2021-08-27 15:15:40 UTC
Created attachment 1818378 [details]
File: maps

Comment 8 Mike FABIAN 2021-08-27 15:15:41 UTC
Created attachment 1818379 [details]
File: mountinfo

Comment 9 Mike FABIAN 2021-08-27 15:15:42 UTC
Created attachment 1818380 [details]
File: open_fds

Comment 10 Mike FABIAN 2021-08-27 15:15:44 UTC
Created attachment 1818381 [details]
File: proc_pid_status

Comment 11 Mike FABIAN 2021-08-27 15:15:45 UTC
Created attachment 1818382 [details]
File: exploitable

Comment 12 Fedora Update System 2021-11-13 10:04:35 UTC
FEDORA-2021-20002cc727 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-20002cc727

Comment 13 Fedora Update System 2021-11-13 10:04:41 UTC
FEDORA-2021-8834f85ef0 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-8834f85ef0

Comment 14 Fedora Update System 2021-11-15 03:57:16 UTC
FEDORA-2021-20002cc727 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-20002cc727`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-20002cc727

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2021-11-15 04:07:24 UTC
FEDORA-2021-8834f85ef0 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-8834f85ef0`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-8834f85ef0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2021-11-23 01:31:35 UTC
FEDORA-2021-8834f85ef0 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2021-11-23 01:47:41 UTC
FEDORA-2021-20002cc727 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.